Maintenances - Get
做个维护
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AVS/privateClouds/{privateCloudName}/maintenances/{maintenanceName}?api-version=2025-09-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
maintenance
|
path | True |
string pattern: ^[-\w\._]+$ |
维护名称 |
|
private
|
path | True |
string pattern: ^[-\w\._]+$ |
私有云的名称 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
要用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure作已成功完成。 |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Maintenances_Get
示例请求
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/maintenances/maintenance1?api-version=2025-09-01
示例响应
{
"id": "/subscriptions/00000001-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/maintenances/maintenance1",
"name": "maintenance1",
"type": "Microsoft.AVS/privateClouds/maintenances",
"properties": {
"component": "VCSA",
"displayName": "vcsa 7.0 upgrade",
"clusterId": 1,
"infoLink": "https://vmwarekb/arcticle",
"impact": "This upgrade will update your vcsa to 7.0. Control plance performance will be impacted for the duration",
"scheduledStartTime": "2023-01-12T11:00:11.830Z",
"estimatedDurationInMinutes": 960,
"state": {
"message": "CD rom mounted",
"startedAt": "2023-01-12T11:00:11.830Z",
"endedAt": "2023-01-12T11:00:11.830Z",
"name": "Scheduled"
},
"provisioningState": "Succeeded",
"scheduledByMicrosoft": true,
"operations": [
{
"kind": "Schedule",
"isDisabled": true,
"disabledReason": "Critical upgrade",
"constraints": [
{
"kind": "SchedulingWindow",
"startsAt": "2025-01-16T06:21:31.961Z",
"endsAt": "2025-01-16T06:21:31.961Z"
},
{
"kind": "AvailableWindowForMaintenance",
"startsAt": "2025-01-16T06:21:31.961Z",
"endsAt": "2025-01-16T06:21:31.961Z"
},
{
"kind": "Blocked",
"category": "HiPriorityEvent",
"timeRanges": [
{
"startsAt": "2025-01-16T06:21:31.961Z",
"endsAt": "2025-01-16T06:21:31.961Z",
"reason": "2024 Summer Opening Ceremony"
}
]
},
{
"kind": "Blocked",
"category": "QuotaExhausted",
"timeRanges": [
{
"startsAt": "2024-04-14T17:03:28.609Z",
"endsAt": "2024-04-15T17:03:28.609Z",
"reason": "No slots available"
},
{
"startsAt": "2024-09-13T17:03:28.609Z",
"endsAt": "2024-09-26T17:03:28.609Z",
"reason": "No slots available"
}
]
}
]
},
{
"kind": "Reschedule",
"isDisabled": true,
"disabledReason": "Critical Update",
"constraints": [
{
"kind": "AvailableWindowForMaintenance",
"startsAt": "2025-01-16T06:21:31.961Z",
"endsAt": "2025-01-16T06:21:31.961Z"
},
{
"kind": "Blocked",
"category": "HiPriorityEvent",
"timeRanges": [
{
"startsAt": "2025-08-10T06:21:31.961Z",
"endsAt": "2025-08-19T06:21:31.961Z",
"reason": "US General Election 2024"
}
]
}
]
},
{
"kind": "MaintenanceReadinessRefresh",
"isDisabled": false,
"status": "InProgress",
"refreshedByMicrosoft": true
}
],
"maintenanceReadiness": {
"type": "Precheck",
"status": "NotReady",
"message": "Some checks failed",
"failedChecks": [
{
"name": "HostMaintPrecheck",
"impactedResources": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/clusters/cluster2",
"errors": [
{
"errorCode": "EVCINTERNALEPR_CDUNMOUNT",
"name": "CD-ROM Mounted",
"details": "Failed to unmount CD ROM mounted on vm",
"resolutionSteps": [
"Please remove CDROM /usr/lib/vmware/isoimages/windows.iso mounted in VD000535 VM present in esx10-r06.p01.dummy.com Host"
],
"actionRequired": true
}
]
}
]
}
],
"lastUpdated": "2025-01-16T06:21:31.961Z"
}
}
}
定义
AvailableWindowForMaintenanceWhileRescheduleOperation
客户可以重新安排维护的时间窗口
| 名称 | 类型 | 说明 |
|---|---|---|
| endsAt |
string (date-time) |
结束日期 时间 |
| kind |
string:
Available |
手术类型 |
| startsAt |
string (date-time) |
开始日期时间 |
AvailableWindowForMaintenanceWhileScheduleOperation
客户可以安排维护的时间窗口
| 名称 | 类型 | 说明 |
|---|---|---|
| endsAt |
string (date-time) |
结束日期 时间 |
| kind |
string:
Available |
手术类型 |
| startsAt |
string (date-time) |
开始日期时间 |
BlockedDatesConstraintCategory
维护时阻塞作的原因
| 值 | 说明 |
|---|---|
| HiPriorityEvent |
高优先级活动 |
| QuotaExhausted |
配额用尽 |
| Holiday |
假期 |
BlockedDatesConstraintTimeRange
维护时间限制
| 名称 | 类型 | 说明 |
|---|---|---|
| endsAt |
string (date-time) |
结束日期 时间 |
| reason |
string |
阻碍维护重新安排的原因类别 |
| startsAt |
string (date-time) |
开始日期时间 |
BlockedWhileRescheduleOperation
时间范围被限制用于重新安排维护
| 名称 | 类型 | 说明 |
|---|---|---|
| category |
封锁日期类别 |
|
| kind |
string:
Blocked |
手术类型 |
| timeRanges |
日期区间被排班限制 |
BlockedWhileScheduleOperation
为调度维护而被划定的时间范围
| 名称 | 类型 | 说明 |
|---|---|---|
| category |
封锁日期类别 |
|
| kind |
string:
Blocked |
手术类型 |
| timeRanges |
日期区间被排班限制 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ImpactedMaintenanceResource
关于因检查失败而受影响的资源详情
| 名称 | 类型 | 说明 |
|---|---|---|
| errors |
与受影响资源相关的错误列表 |
|
| id |
string |
受影响资源的ID |
ImpactedMaintenanceResourceError
关于影响资源的错误细节
| 名称 | 类型 | 说明 |
|---|---|---|
| actionRequired |
boolean |
表示客户是否需要采取行动 |
| details |
string |
关于错误的更多细节 |
| errorCode |
string |
错误代码 |
| name |
string |
错误名称 |
| resolutionSteps |
string[] |
解决错误的步骤 |
Maintenance
一个集群资源
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties |
此资源的资源特定属性。 |
|
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
MaintenanceCheckType
定义维护准备度检查的类型
| 值 | 说明 |
|---|---|
| Precheck |
预检维护准备情况 |
| Preflight |
飞行前维护准备 |
MaintenanceFailedCheck
关于一次未通过的维护检查细节
| 名称 | 类型 | 说明 |
|---|---|---|
| impactedResources |
受失败检查影响的资源列表 |
|
| name |
string |
失败支票的名称 |
MaintenanceManagementOperationKind
定义了作类型
| 值 | 说明 |
|---|---|
| Schedule |
表示调度作 |
| Reschedule |
代表重新安排的作 |
| MaintenanceReadinessRefresh |
代表维护准备更新作 |
MaintenanceProperties
维护的性质
| 名称 | 类型 | 说明 |
|---|---|---|
| clusterId |
integer (int32) |
用于应用维护的集群ID。 如果维护是在私有云层面,则为空 |
| component |
维护类型 |
|
| displayName |
string |
维护用的显示名称 |
| estimatedDurationInMinutes |
integer (int64) |
预计维护时间只需几分钟 |
| impact |
string |
维护期间对资源的影响 |
| infoLink |
string |
维护信息链接 |
| maintenanceReadiness |
表示维护是否已准备好继续 |
|
| operations | MaintenanceManagementOperation[]: |
维护作 |
| provisioningState |
预配状态 |
|
| scheduledByMicrosoft |
boolean |
如果维护是由Microsoft安排的 |
| scheduledStartTime |
string (date-time) |
定期维护开始时间 |
| state |
维护状态 |
MaintenanceProvisioningState
维护的配置状态
| 值 | 说明 |
|---|---|
| Succeeded |
已创建资源。 |
| Failed |
资源创建失败。 |
| Canceled |
资源创建已取消。 |
| Updating |
正在更新 |
MaintenanceReadiness
维护准备情况
| 名称 | 类型 | 说明 |
|---|---|---|
| failedChecks |
如果有失败的检查列表 |
|
| lastUpdated |
string (date-time) |
上次准备更新的时间戳 |
| message |
string |
准备度检查结果的摘要信息 |
| status |
维护的当前战备状态 |
|
| type |
维护准备检查的类型 |
MaintenanceReadinessRefreshOperation
刷新维护准备状态
| 名称 | 类型 | 说明 |
|---|---|---|
| disabledReason |
string |
禁用维护准备状态刷新的理由 |
| isDisabled |
boolean |
如果禁用维护准备刷新 |
| kind |
string:
Maintenance |
手术类型 |
| message |
string |
关于此次行动的额外信息 |
| refreshedByMicrosoft |
boolean |
表示作是否被 Microsoft 刷新 |
| status |
操作的状态 |
MaintenanceReadinessRefreshOperationStatus
维护准备刷新作的状态
| 值 | 说明 |
|---|---|
| InProgress |
作正在进行中 |
| NotStarted |
行动尚未开始 |
| Failed |
行动失败 |
| NotApplicable |
作不适用 |
MaintenanceReadinessStatus
定义维护准备状态
| 值 | 说明 |
|---|---|
| Ready |
系统已准备好进行维护 |
| NotReady |
系统尚未准备好进行维护 |
| DataNotAvailable |
目前尚无数据可用来判断准备情况 |
| NotApplicable |
准备度检查不适用 |
MaintenanceState
维护状况
| 名称 | 类型 | 说明 |
|---|---|---|
| endedAt |
string (date-time) |
当前状态结束的时间 |
| message |
string |
失败/成功信息 |
| name |
客户可呈现的维护状态 |
|
| startedAt |
string (date-time) |
当前状态开始的时间 |
MaintenanceStateName
客户可呈现的维护状态
| 值 | 说明 |
|---|---|
| NotScheduled |
维护未安排 |
| Scheduled |
维护计划中 |
| InProgress |
维护中 |
| Success |
维护成功 |
| Failed |
维护失败 |
| Canceled |
维护取消 |
MaintenanceType
维护类型
| 值 | 说明 |
|---|---|
| VCSA |
vCenter 服务器设备的维护 |
| ESXI |
ESXi 维护 |
| NSXT |
维护 NSX-T |
RescheduleOperation
维护重新调度的约束
| 名称 | 类型 | 说明 |
|---|---|---|
| constraints | RescheduleOperationConstraint[]: |
维护重新调度的约束 |
| disabledReason |
string |
取消重新安排的理由 |
| isDisabled |
boolean |
如果重新安排被禁用 |
| kind |
string:
Reschedule |
手术类型 |
RescheduleOperationConstraintKind
维护重新调度的约束
| 值 | 说明 |
|---|---|
| AvailableWindowForMaintenance |
维护可重新安排的时间窗口 |
| Blocked |
阻断时间范围约束 |
ScheduleOperation
调度窗口约束
| 名称 | 类型 | 说明 |
|---|---|---|
| constraints | ScheduleOperationConstraint[]: |
调度维护的约束 |
| disabledReason |
string |
取消排班理由 |
| isDisabled |
boolean |
如果调度被禁用 |
| kind |
string:
Schedule |
手术类型 |
ScheduleOperationConstraintKind
维护调度的约束
| 值 | 说明 |
|---|---|
| SchedulingWindow |
客户可以选择安排维护的时间窗口 |
| AvailableWindowForMaintenance |
可以安排维护的时间窗口 |
| Blocked |
阻断时间范围约束 |
SchedulingWindow
客户可以选择安排维护的时间窗口
| 名称 | 类型 | 说明 |
|---|---|---|
| endsAt |
string (date-time) |
结束日期 时间 |
| kind | string: |
手术类型 |
| startsAt |
string (date-time) |
开始日期时间 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |